## pykdeextensions-trinity 3.5.13.2

=== debian/changelog ===
pykdeextensions-trinity (4:3.5.13.2-0ubuntu10.04.0+0) lucid; urgency=low

  * Automated git build for v3.5.13.2

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 03 Jun 2013 08:31:02 +0200

pykdeextensions-trinity (0.4.0-6ubuntu6) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 July 2009 16:08:00 -0600

pykdeextensions-trinity (0.4.0-5ubuntu5) intrepid; urgency=low

  * Added -trinity suffix

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Wed, 03 Dec 2008 21:38:00 -0600

pykdeextensions (0.4.0-5ubuntu3) hardy; urgency=low

  * Re-add libpythoniz0 dependency on python-dev to work around
    libpythonize0 dlopening libpython2.5.so and not ...so.1 (LP: #179668)

 -- Scott Kitterman <scott@kitterman.com>  Sat, 01 Mar 2008 11:15:08 -0500

pykdeextensions (0.4.0-5ubuntu2) hardy; urgency=low

  * debian/control:
    - remove the python-all-dev dependency in libpythonize0
    - remove python2.5-dev dependency in libpythonize0-dev, this
      gets pulled in via libpythonize0

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 17 Dec 2007 12:38:49 +0100

pykdeextensions (0.4.0-5ubuntu1) hardy; urgency=low

  * Merge with Debian, remaining changes:
   - libpythonize0 depends on python2.5-dev, it tries to load .so file

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 29 Nov 2007 17:59:47 +0000

pykdeextensions (0.4.0-5) unstable; urgency=low

  * Add python-qt-dev build dependency.
    pyqtconfig moved from python-qt3 to python-qt-dev. (Closes: #439504)
  * Build with python 2.4/2.5. (Closes: #424505, #445292)
    * Revert previous pyversions. 
    * Revert python-all-dev build dependency.
    * Replace 12_force_python2.4_script patch.
  * Remove *.py[co] files.
  * lintian cleanup: substvar-source-version-is-deprecated.
    Use ${binary:Version}.
  * Make pykdeextensions package arch all.

 -- Fathi Boudra <fboudra@free.fr>  Sun, 07 Oct 2007 12:06:15 +0200

pykdeextensions (0.4.0-4ubuntu4) gutsy; urgency=low

  * Fix depends to python2.5-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 25 Sep 2007 18:48:45 +0100

pykdeextensions (0.4.0-4ubuntu3) gutsy; urgency=low

  * Add libpython2.5-dev as a depends for libpythonize0, it wants to
    load libpython2.5.so, reverts change from previous upload, LP: #84689, 
    LP: #144815

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 25 Sep 2007 16:32:17 +0100

pykdeextensions (0.4.0-4ubuntu2) gutsy; urgency=low

  * Fix build failure, build-depend on python-qt-dev.
  * Use the unversioned python interpreter for scripts.
  * Don't include byte-compiled files. LP: #36733.
  * libpythonize0: Remove dependency on python2.5-dev. LP: #84689.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 29 Aug 2007 20:48:25 +0000

pykdeextensions (0.4.0-4ubuntu1) gutsy; urgency=low

  * Merge with Debian, remaining changes:
   - build on python 2.5

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sun, 03 Jun 2007 13:51:42 +0100

pykdeextensions (0.4.0-4) unstable; urgency=low

  * Update pyversions. Force to build with python2.4 only. (Closes: #424505)
  * Remove python-all-dev build dependency. Replaced by python-dev.
  * Remove pycompat. Deprecated.

 -- Fathi Boudra <fboudra@free.fr>  Wed, 16 May 2007 11:02:06 +0200

pykdeextensions (0.4.0-3ubuntu1) feisty; urgency=low

  * Force to build with python2.5.
  * FIXME: The package is unlikely to work with python2.4; maybe
    just drop the build dependency on python-all-dev.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 14 Jan 2007 16:42:27 +0000

pykdeextensions (0.4.0-3) unstable; urgency=low

  * Converted package to python-support
  * Added pycompat and pyversions
  * Force to use python2.4 (Closes: #375618)
  * Added to Build-Depends: python-support, python-all-dev,
    kdelibs4c2a (for kde-config)
  * Updated libpythonize0-dev, libpythonize0, and pykdextensions install files
  * Cleaned up rules
  * Added 12_force_python2.4_script.diff to force python2.4 in scripts

 -- Fathi Boudra <fboudra@free.fr>  Thu, 29 Jun 2006 15:41:39 +0200

pykdeextensions (0.4.0-2) unstable; urgency=low

  * Converted package to cdbs
  * Added 2 patches (thanks to Jonathan Riddell)
    * 10_qt_candidate_paths.diff
    * 11_fix_get_libdir_name.diff (Closes: #357775)
  * Updated control file
  * Bumped debian policy version

 -- Fathi Boudra <fboudra@free.fr>  Tue,  6 Jun 2006 08:56:40 +0200

pykdeextensions (0.4.0-1) unstable; urgency=low

  [ Fathi Boudra ]
  * Initial Debian release Closes: #340141

  [ Jonathan Riddell ]
  * Add depends on python2.x-dev to libpythonize0 to bring in libpython2.x.so

  [ Mark Purcell ]
  * Maintainer: Debian KDE Extras Team <pkg-kde-
    extras@lists.alioth.debian.org>

 -- Mark Purcell <msp@debian.org>  Tue, 28 Feb 2006 19:24:38 +0000
