=== debian/control ===
Source: pykdeextensions-trinity
Section: kde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
Uploaders: Fathi Boudra <fboudra@free.fr>, Mark Purcell <msp@debian.org>
Build-Depends: cdbs, debhelper (>= 5), chrpath, quilt, kdelibs4c2a-trinity, libtool,
 libxml2-utils, libxrandr-dev, libxxf86vm-dev, pyqt-tools, python-trinity-trinity,
 python-qt-dev, python-sip4-dev, python-support (>= 0.6), python-all (>= 2.5), python-all-dev (>= 2.5)
Standards-Version: 3.8.4

Package: pykdeextensions-trinity
Architecture: all
Depends: ${python:Depends}
Replaces: pykdeextensions-kde3 (<< 4:3.5.13)
Breaks: pykdeextensions-kde3 (<< 4:3.5.13)
Conflicts: pykdeextensions
Provides: ${python:Provides}
Description: Python packages to support KDE applications (scripts) [Trinity]
 PyKDE Extensions is a collection of software and Python packages
 to support the creation and installation of KDE applications.
 .
  Homepage: http://www.simonzone.com/software/pykdeextensions

Package: libpythonize0-trinity-dev
Architecture: any
Section: libdevel
Replaces: libpythonize0-kde3-dev (<< 4:3.5.13)
Breaks: libpythonize0-kde3-dev (<< 4:3.5.13)
Depends: libpythonize0-trinity (= ${binary:Version}), python-all-dev
Description: Python packages to support KDE applications (development) [Trinity]
 PyKDE Extensions is a collection of software and Python packages
 to support the creation and installation of KDE applications.
 .
 This package contains the libpythonize development files.
 .
  Homepage: http://www.simonzone.com/software/pykdeextensions

Package: libpythonize0-trinity
Architecture: any
Section: libs
Replaces: libpythonize0-kde3 (<< 4:3.5.13)
Breaks: libpythonize0-kde3 (<< 4:3.5.13)
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libpythonize0
Description: Python packages to support KDE applications (library) [Trinity]
 PyKDE Extensions is a collection of software and Python packages
 to support the creation and installation of KDE applications.
 .
 This package contains the libpythonize library files.
 .
  Homepage: http://www.simonzone.com/software/pykdeextensions
